Index: trunk/instant_messenger/xsl/information_user.xsl
===================================================================
--- trunk/instant_messenger/xsl/information_user.xsl	(revision 55)
+++ trunk/instant_messenger/xsl/information_user.xsl	(revision 57)
@@ -9,9 +9,87 @@
 		<body>
 			<table border="0" cellpadding="1" cellspacing="2" width="90%" style="margin-top:10px">
-				<xsl:apply-templates select="body" />
+				<tr>
+					<td width="30%" align="right"><xsl:value-of select="getlang/FN"/> .: </td>
+			     	<xsl:choose>
+			          <xsl:when test="vcard/fn">
+						<td><input id="FN" type="text" size="40" maxlength="40" value="{vcard/fn}"/></td>			          
+					  </xsl:when>
+			          <xsl:otherwise>
+						<td><input id="FN" type="text" size="40" maxlength="40" value="{vcard/FN}"/></td>
+			          </xsl:otherwise>
+			        </xsl:choose>
+				</tr>
+				<tr>
+					<td width="30%" align="right"><xsl:value-of select="getlang/NICKNAME"/> .: </td>
+			     	<xsl:choose>
+			          <xsl:when test="vcard/nickname">
+						<td><input id="NICKNAME" type="text" size="20" maxlength="20" value="{vcard/nickname}" /></td>
+					  </xsl:when>
+			          <xsl:otherwise>
+						<td><input id="NICKNAME" type="text" size="20" maxlength="20" value="{vcard/NICKNAME}" /></td>
+			          </xsl:otherwise>
+			        </xsl:choose>
+				</tr>
+				<tr>
+					<td width="30%" align="right"><xsl:value-of select="getlang/ROLE"/> .: </td>
+			     	<xsl:choose>
+			          <xsl:when test="vcard/role">
+						<td><input id="ORGNAME" type="text" size="17" maxlength="17" value="{vcard/role}"/></td>
+					  </xsl:when>
+			          <xsl:otherwise>
+						<td><input id="ORGNAME" type="text" size="17" maxlength="17" value="{vcard/ROLE}"/></td>
+			          </xsl:otherwise>
+			        </xsl:choose>
+				</tr>
+				<tr>
+					<td width="30%" align="right"><xsl:value-of select="getlang/ORGNAME"/> .: </td>
+			     	<xsl:choose>
+			          <xsl:when test="vcard/orgname">
+						<td><input id="ORGUNIT" type="text" size="10" maxlength="10" value="{vcard/orgname}"/></td>
+					  </xsl:when>
+			          <xsl:otherwise>
+						<td><input id="ORGUNIT" type="text" size="10" maxlength="10" value="{vcard/ORGNAME}"/></td>
+			          </xsl:otherwise>
+			        </xsl:choose>
+				</tr>
+				<tr>
+					<td width="30%" align="right"><xsl:value-of select="getlang/ORGUNIT"/> .: </td>
+			     	<xsl:choose>
+			          <xsl:when test="vcard/orgunit">
+						<td><input id="ROLE" type="text" size="25" maxlength="25" value="{vcard/orgunit}"/></td>
+					  </xsl:when>
+			          <xsl:otherwise>
+						<td><input id="ROLE" type="text" size="25" maxlength="25" value="{vcard/ORGUNIT}"/></td>
+			          </xsl:otherwise>
+			        </xsl:choose>
+				</tr>
+				<tr>
+					<td width="30%" align="right"><xsl:value-of select="getlang/BDAY"/> .: </td>
+			     	<xsl:choose>
+			          <xsl:when test="vcard/bday">
+						<td><input id="BDAY" type="text" size="10" maxlength="10" value="{vcard/bday}"/></td>
+					  </xsl:when>
+			          <xsl:otherwise>
+						<td><input id="BDAY" type="text" size="10" maxlength="10" value="{vcard/BDAY}"/></td>
+			          </xsl:otherwise>
+			        </xsl:choose>
+				</tr>
+				<tr>
+					<td width="30%" align="right"><xsl:value-of select="getlang/DESC"/> .: </td>
+			     	<xsl:choose>
+			          <xsl:when test="vcard/desc">
+						<td><input id="DESC" type="text" size="40" maxlength="40" value="{vcard/desc}"/></td>
+					  </xsl:when>
+			          <xsl:otherwise>
+						<td><input id="DESC" type="text" size="40" maxlength="40" value="{vcard/DESC}"/></td>
+			          </xsl:otherwise>
+			        </xsl:choose>
+				</tr>
 			</table>
 
 			<table border="0" cellpading="1" cellspacing="2" width="100%">
-				<xsl:apply-templates select="bottom" />
+				<tr>
+					<td><input type="button" value="{getlang/SAVE}" onclick="javascript:IM_Preferences.vCardAdd();" /></td>
+				</tr>
 			</table>
 		</body>
@@ -19,40 +97,3 @@
 </xsl:template>
 
-<xsl:template match="body">
-		<tr>
-			<td width="30%" align="right"><xsl:value-of select="@lang1"/> .: </td>
-			<td><input id="FN" type="text" size="40" maxlength="40" /></td>
-		</tr>
-		<tr>
-			<td width="30%" align="right"><xsl:value-of select="@lang2"/> .: </td>
-			<td><input id="NICKNAME" type="text" size="20" maxlength="20" /></td>
-		</tr>
-		<tr>
-			<td width="30%" align="right"><xsl:value-of select="@lang3"/> .: </td>
-			<td><input id="ORGNAME" type="text" size="17" maxlength="17" /></td>
-		</tr>
-		<tr>
-			<td width="30%" align="right"><xsl:value-of select="@lang4"/> .: </td>
-			<td><input id="ORGUNIT" type="text" size="10" maxlength="10" /></td>
-		</tr>
-		<tr>
-			<td width="30%" align="right"><xsl:value-of select="@lang5"/> .: </td>
-			<td><input id="ROLE" type="text" size="25" maxlength="25" /></td>
-		</tr>
-		<tr>
-			<td width="30%" align="right"><xsl:value-of select="@lang6"/> .: </td>
-			<td><input id="BDAY" type="text" size="10" maxlength="10" /></td>
-		</tr>
-		<tr>
-			<td width="30%" align="right"><xsl:value-of select="@lang7"/> .: </td>
-			<td><input id="DESC" type="text" size="40" maxlength="40" /></td>
-		</tr>
-</xsl:template>
-
-<xsl:template match="bottom">
-		<tr>
-			<td><input type="button" value="{@lang1}" onclick="javascript:IM_Preferences.vCardAdd();" /></td>
-		</tr>
-</xsl:template>
-
 </xsl:stylesheet>
